Get execution history for single Web3 Action
curl --request GET \
--url https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls \
--header 'X-Access-Key: <api-key>'import requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "6d0b80e5-c8e6-4e1d-9625-db3031fbbffb",
"actionId": "0f55690d-0894-4173-9714-10cc0404e09a",
"versionId": "7052c8f8-ddc5-4c05-82c0-d69e223e0d65",
"createdAt": "2022-12-02T10:05:03.543929Z",
"type": "AUTOMATIC",
"status": "SUCCEEDED",
"statusUpdatedAt": "2022-12-02T10:05:04.334623Z",
"payload": {
"type": "block",
"block": {
"network": "1",
"blockNumber": 16096410,
"blockHash": "0xab703b8f4b1012e619afc61a1d98aa5e7c049aa68da32069287c1ecaaaead0b2"
}
},
"storageType": "WRITE",
"storageId": "1830efff-aa75-481e-b464-cedaf8b90960",
"memory": 67,
"time": 16
},
{
"id": "e61c5217-c2c0-4619-abb9-5f3cac8567be",
"actionId": "0f55690d-0894-4173-9714-10cc0404e09a",
"versionId": "6976ab62-8654-4107-a20f-190261b42380",
"createdAt": "2022-11-16T12:08:34.125357Z",
"type": "AUTOMATIC",
"status": "SKIPPED",
"statusUpdatedAt": "2022-11-16T12:08:34.148148Z",
"payload": {
"type": "block",
"block": {
"network": "1",
"blockNumber": 15982487,
"blockHash": "0x1325502f0683846e459632b6e094e0bb358b66da4460820f71e90e681c43964c"
}
},
"storageType": "WRITE",
"storageId": "1830efff-aa75-481e-b464-cedaf8b90960",
"memory": null,
"time": null
},
{
"id": "05ac3e22-0b25-4197-aea4-40d44c6695d0",
"actionId": "0f55690d-0894-4173-9714-10cc0404e09a",
"versionId": "6976ab62-8654-4107-a20f-190261b42380",
"createdAt": "2022-11-16T12:08:14.172165Z",
"type": "RERUN",
"status": "SUCCEEDED",
"statusUpdatedAt": "2022-11-16T12:10:54.602341Z",
"payload": {
"type": "block",
"block": {
"network": "1",
"blockNumber": 15982486,
"blockHash": "0xcb57d33c1d8a9dc367c065c2615dee24c9a360644391c9babfb12c2ac403a778"
}
},
"storageType": "WRITE",
"storageId": "1830efff-aa75-481e-b464-cedaf8b90960",
"memory": 64,
"time": 23
},
{
"id": "33f55d14-e397-4885-979c-0c2287892b40",
"actionId": "0f55690d-0894-4173-9714-10cc0404e09a",
"versionId": "429c0af4-89f6-478d-a92b-0e41e942c76d",
"createdAt": "2022-04-11T12:37:38.28221Z",
"type": "AUTOMATIC",
"status": "FAILED",
"statusUpdatedAt": "2022-04-11T12:37:38.334044Z",
"payload": {
"type": "block",
"block": {
"network": "56",
"blockNumber": 16852722,
"blockHash": "0x4fbc4f07094a5b189e5b7c4f0de5e8a1d98d8b7f544c4c3ce55fea277e608990"
}
},
"storageType": "WRITE",
"storageId": "1830efff-aa75-481e-b464-cedaf8b90960",
"memory": 61,
"time": 2
}
]{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Actions
Get execution history for single Web3 Action
Retrieve the entire execution history for a specific Web3 Action. You need to provide the Web3 Action ID.
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
actions
/
action
/
{actionId}
/
calls
Get execution history for single Web3 Action
Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Project slug of the account
Web3 Action Id to get info for
Query Parameters
The page number
Required range:
x >= 1The number of items to return per page
Required range:
1 <= x <= 100The Web3 Action status
Available options:
ENABLED, DISABLED, SUCCEEDED, SUBMITTED, SKIPPED, FAILED, PENDING, RETRY, TIMED_OUT, RATE_LIMITED The date after Web3 Action is executed
The date before Web3 Action is executed
Response
A successful response.
Example:
[ { "id": "6d0b80e5-c8e6-4e1d-9625-db3031fbbffb", "actionId": "0f55690d-0894-4173-9714-10cc0404e09a", "versionId": "7052c8f8-ddc5-4c05-82c0-d69e223e0d65", "createdAt": "2022-12-02T10:05:03.543929Z", "type": "AUTOMATIC", "status": "SUCCEEDED", "statusUpdatedAt": "2022-12-02T10:05:04.334623Z", "payload": { "type": "block", "block": { "network": "1", "blockNumber": 16096410, "blockHash": "0xab703b8f4b1012e619afc61a1d98aa5e7c049aa68da32069287c1ecaaaead0b2" } }, "storageType": "WRITE", "storageId": "1830efff-aa75-481e-b464-cedaf8b90960", "memory": 67, "time": 16 }, { "id": "e61c5217-c2c0-4619-abb9-5f3cac8567be", "actionId": "0f55690d-0894-4173-9714-10cc0404e09a", "versionId": "6976ab62-8654-4107-a20f-190261b42380", "createdAt": "2022-11-16T12:08:34.125357Z", "type": "AUTOMATIC", "status": "SKIPPED", "statusUpdatedAt": "2022-11-16T12:08:34.148148Z", "payload": { "type": "block", "block": { "network": "1", "blockNumber": 15982487, "blockHash": "0x1325502f0683846e459632b6e094e0bb358b66da4460820f71e90e681c43964c" } }, "storageType": "WRITE", "storageId": "1830efff-aa75-481e-b464-cedaf8b90960", "memory": null, "time": null }, { "id": "05ac3e22-0b25-4197-aea4-40d44c6695d0", "actionId": "0f55690d-0894-4173-9714-10cc0404e09a", "versionId": "6976ab62-8654-4107-a20f-190261b42380", "createdAt": "2022-11-16T12:08:14.172165Z", "type": "RERUN", "status": "SUCCEEDED", "statusUpdatedAt": "2022-11-16T12:10:54.602341Z", "payload": { "type": "block", "block": { "network": "1", "blockNumber": 15982486, "blockHash": "0xcb57d33c1d8a9dc367c065c2615dee24c9a360644391c9babfb12c2ac403a778" } }, "storageType": "WRITE", "storageId": "1830efff-aa75-481e-b464-cedaf8b90960", "memory": 64, "time": 23 }, { "id": "33f55d14-e397-4885-979c-0c2287892b40", "actionId": "0f55690d-0894-4173-9714-10cc0404e09a", "versionId": "429c0af4-89f6-478d-a92b-0e41e942c76d", "createdAt": "2022-04-11T12:37:38.28221Z", "type": "AUTOMATIC", "status": "FAILED", "statusUpdatedAt": "2022-04-11T12:37:38.334044Z", "payload": { "type": "block", "block": { "network": "56", "blockNumber": 16852722, "blockHash": "0x4fbc4f07094a5b189e5b7c4f0de5e8a1d98d8b7f544c4c3ce55fea277e608990" } }, "storageType": "WRITE", "storageId": "1830efff-aa75-481e-b464-cedaf8b90960", "memory": 61, "time": 2 } ]
Was this page helpful?
⌘I